CVE-2004-0966
CVSS2.1
发布时间 :2005-02-09 00:00:00
修订时间 :2016-10-17 22:50:16
NMCOS    

[原文]The (1) autopoint and (2) gettextize scripts in the GNU gettext package 1.14 and later versions, as used in Trustix Secure Linux 1.5 through 2.1 and other operating systems, allows local users to overwrite files via a symlink attack on temporary files.


[CNNVD]GNU GetText未指定的不安全临时文件创建漏洞(CNNVD-200502-037)

        Gettext 用于系统的国际化(I18N)和本地化(L10N),可以在编译程序的时候使用本国语言支持(Native Language Support(NLS)),其可以使程序的输出使用用户设置的语言而不是英文。
        GNU gettext程序包1.14及更高版本中的(1) autopoint和(2) gettextize脚本,用在Trustix Secure Linux 1.5至2.1以及其他操作系统中,可让本地用户通过象征性的链接攻击临时文件,从而覆盖这些文件。
        

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:ubuntu:ubuntu_linux:4.1::ia64
cpe:/a:gnu:gettext:0.14.1GNU gettext 0.14.1
cpe:/o:ubuntu:ubuntu_linux:4.1::ppc

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0966
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0966
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200502-037
(官方数据源) CNNVD

- 其它链接及资源

http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=136323
(UNKNOWN)  CONFIRM  http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=136323
http://marc.info/?l=bugtraq&m=109899973325734&w=2
(UNKNOWN)  UBUNTU  USN-5-1
http://marc.info/?l=bugtraq&m=110382652226638&w=2
(UNKNOWN)  OPENPKG  OpenPKG-SA-2004.055
http://www.gentoo.org/security/en/glsa/glsa-200410-10.xml
(UNKNOWN)  GENTOO  GLSA-200410-10
http://www.redhat.com/archives/fedora-legacy-announce/2006-January/msg00000.html
(UNKNOWN)  FEDORA  FLSA:136323
http://www.securityfocus.com/bid/11282
(VENDOR_ADVISORY)  BID  11282
http://www.trustix.org/errata/2004/0050
(UNKNOWN)  TRUSTIX  2004-0050
http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2006:051
(UNKNOWN)  MANDRIVA  MDKSA-2006:051
http://xforce.iss.net/xforce/xfdb/17583
(VENDOR_ADVISORY)  XF  script-temporary-file-overwrite(17583)

- 漏洞信息

GNU GetText未指定的不安全临时文件创建漏洞
低危 设计错误
2005-02-09 00:00:00 2005-10-20 00:00:00
本地  
        Gettext 用于系统的国际化(I18N)和本地化(L10N),可以在编译程序的时候使用本国语言支持(Native Language Support(NLS)),其可以使程序的输出使用用户设置的语言而不是英文。
        GNU gettext程序包1.14及更高版本中的(1) autopoint和(2) gettextize脚本,用在Trustix Secure Linux 1.5至2.1以及其他操作系统中,可让本地用户通过象征性的链接攻击临时文件,从而覆盖这些文件。
        

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        GNU gettext 0.13.1
        Mandriva gettext-0.13.1-1.3.C30mdk.i586.rpm
        Corporate 3.0:
        http://www.mandriva.com/en/download
        Mandriva gettext-0.13.1-1.3.C30mdk.src.rpm
        Corporate 3.0:
        http://www.mandriva.com/en/download
        Mandriva gettext-0.13.1-1.3.C30mdk.x86_64.rpm
        Corporate 3.0:
        http://www.mandriva.com/en/download
        Mandriva gettext-base-0.13.1-1.3.C30mdk.i586.rpm
        Corporate 3.0:
        http://www.mandriva.com/en/download
        Mandriva gettext-base-0.13.1-1.3.C30mdk.x86_64.rpm
        Corporate 3.0:
        http://www.mandriva.com/en/download
        Mandriva gettext-devel-0.13.1-1.3.C30mdk.i586.rpm
        Corporate 3.0:
        http://www.mandriva.com/en/download
        Mandriva gettext-devel-0.13.1-1.3.C30mdk.x86_64.rpm
        Corporate 3.0:
        http://www.mandriva.com/en/download
        Mandriva gettext-java-0.13.1-1.3.C30mdk.i586.rpm
        Corporate 3.0:
        http://www.mandriva.com/en/download
        Mandriva gettext-java-0.13.1-1.3.C30mdk.x86_64.rpm
        Corporate 3.0:
        http://www.mandriva.com/en/download
        Mandriva lib64gettextmisc-0.13.1-1.3.C30mdk.x86_64.rpm
        Corporate 3.0:
        http://www.mandriva.com/en/download
        Mandriva lib64intl2-0.13.1-1.3.C30mdk.x86_64.rpm
        Corporate 3.0:
        http://www.mandriva.com/en/download
        Mandriva libgettextmisc-0.13.1-1.3.C30mdk.i586.rpm
        Corporate 3.0:
        http://www.mandriva.com/en/download
        Mandriva libintl2-0.13.1-1.3.C30mdk.i586.rpm
        Corporate 3.0:
        http://www.mandriva.com/en/download
        Ubuntu gettext-base_0.14.1-2ubuntu0.1_amd64.deb
        Ubuntu 4.10 (Warty Warthog)
        http://security.ubuntu.com/ubuntu/pool/main/g/gettext/gettext-base_0.1 4.1-2ubuntu0.1_amd64.deb
        Ubuntu gettext-base_0.14.1-2ubuntu0.1_i386.deb
        Ubuntu 4.10 (Warty Warthog)
        http://security.ubuntu.com/ubuntu/pool/main/g/gettext/gettext-base_0.1 4.1-2ubuntu0.1_i386.deb
        Ubuntu gettext-base_0.14.1-2ubuntu0.1_powerpc.deb
        Ubuntu 4.10 (Warty Warthog)
        http://security.ubuntu.com/ubuntu/pool/main/g/gettext/gettext-base_0.1 4.1-2ubuntu0.1_powerpc.deb
        Ubuntu gettext-doc_0.14.1-2ubuntu0.1_all.deb
        Ubuntu 4.10 (Warty Warthog)
        http://security.ubuntu.com/ubuntu/pool/main/g/gettext/gettext-doc_0.14 .1-2ubuntu0.1_all.deb
        Ubuntu gettext-el_0.14.1-2ubuntu0.1_all.deb
        Ubuntu 4.10 (Warty Warthog)
        http://security.ubuntu.com/ubuntu/pool/main/g/gettext/gettext-el_0.14. 1-2ubuntu0.1_all.deb
        Ubuntu gettext_0.14.1-2ubuntu0.1_amd64.deb
        Ubuntu 4.10 (Warty Warthog)
        http://security.ubuntu.com/ubuntu/pool/main/g/gettext/gettext_0.14.1-2 ubuntu0.1_amd64.deb
        Ubuntu gettext_0.14.1-2ubuntu0.1_i386.deb
        Ubuntu 4.10 (Warty Warthog)
        http://security.ubuntu.com/ubuntu/pool/main/g/gettext/gettext_0.14.1-2 ubuntu0.1_i386.deb
        Ubuntu gettext_0.14.1-2ubuntu0.1_powerpc.deb
        Ubuntu 4.10 (Warty Warthog)
        http://security.ubuntu.com/ubuntu/pool/main/g/gettext/gettext_0.14.1-2 ubuntu0.1_powerpc.deb
        GNU gettext 0.14.1
        Trustix gettext-0.14.1-4tr.i586.rpm
        Trustix Secure Linux 2.1 & Enterprise Server 2
        ftp://ftp.trustix.org/pub/trustix/updates/
        

- 漏洞信息

10646
GNU gettext Multiple Script Temporary File Symlink Arbitrary File Overwrite
Local Access Required Race Condition
Loss of Integrity
Exploit Public Vendor Verified

- 漏洞描述

GNU gettext contains a flaw that may allow a malicious local user to overwrite arbitrary files. The issue is due to temporary files being created insecurely. It is possible that the flaw may allow a malicious user to overwrite arbitrary files resulting in a loss of integrity.

- 时间线

2004-10-11 Unknow
Unknow Unknow

- 解决方案

No fix for the main branch is available. Various Linux vendors have released updated versions to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

GNU GetText Unspecified Insecure Temporary File Creation Vulnerability
Design Error 11282
No Yes
2004-09-30 12:00:00 2006-12-14 06:43:00
The individual or individuals responsible for the discovery of this issue is currently unknown; Trustix security engineers are credited with these discoveries.

- 受影响的程序版本

Ubuntu Ubuntu Linux 4.1 ppc
Ubuntu Ubuntu Linux 4.1 ia64
Ubuntu Ubuntu Linux 4.1 ia32
MandrakeSoft Multi Network Firewall 2.0
MandrakeSoft Corporate Server 3.0 x86_64
MandrakeSoft Corporate Server 3.0
GNU gettext 0.14.1
+ Gentoo Linux
GNU gettext 0.13.1
+ Gentoo Linux
+ Trustix Secure Enterprise Linux 2.0
+ Trustix Secure Enterprise Linux 2.0
+ Trustix Secure Linux 2.1
+ Trustix Secure Linux 2.1
+ Trustix Secure Linux 2.0
+ Trustix Secure Linux 2.0
+ Trustix Secure Linux 1.5
+ Trustix Secure Linux 1.5
+ Ubuntu Ubuntu Linux 4.1 ppc
+ Ubuntu Ubuntu Linux 4.1 ppc
+ Ubuntu Ubuntu Linux 4.1 ia64
+ Ubuntu Ubuntu Linux 4.1 ia64
+ Ubuntu Ubuntu Linux 4.1 ia32
+ Ubuntu Ubuntu Linux 4.1 ia32

- 漏洞讨论

GNU 'gettext' is affected by an unspecified insecure temporary file-creation vulnerability. This issue is likely due to a design error that causes the application to fail to verify the presence of a file before writing to it.

An attacker may leverage this issue to overwrite arbitrary files with the privileges of an unsuspecting user that activates the vulnerable application. Reportedly this issue is unlikely to facilitate privilege escalation.

- 漏洞利用

No exploit is required to leverage this issue.

- 解决方案


See the referenced vendor advisories for details on obtaining and applying the appropriate updates.


GNU gettext 0.13.1

GNU gettext 0.14.1

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站